[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Import of Images from Andor Cameras |

## Classes

class | SIFImportInfo
| Extracts image properties from an Andor SIF file header. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const SIFImportInfo &info)
void | readSIF (const SIFImportInfo &info, MultiArrayView< 3, float, UnstridedArrayTag > array)
| Read the image data specified by the given vigra::SIFImportInfo object and write them into the given 'array'.

## Detailed Description

Read an Andor SIF file into a MultiArrayView.

## Function Documentation

void vigra::readSIF | ( | const SIFImportInfo & | info,
|  | MultiArrayView< 3, float, UnstridedArrayTag > | array |
| ) |  |  |

Read the image data specified by the given vigra::SIFImportInfo object and write them into the given 'array'.

The array must have the correct number of dimensions and shape for the dataset represented by 'info'.

Declaration:

        namespace vigra {
            void
            readSIF(const SIFImportInfo &info, MultiArrayView<3, float, UnstridedArrayTag> array);
        }

Usage:

#include <vigra/sifImport.hxx>
Namespace: vigra

        SIFImportInfo info(filename);

        // create a 3D array of appropriate size
        typedef MultiArray<3, float>::difference_type Shape;
        MultiArray<3, float> in(Shape(info.width(), info.height(), info.stacksize()));

        readSIF(info, in);

std::ostream& vigra::operator<< | ( | std::ostream & | os,
|  | const SIFImportInfo & | info |
| ) |  |  |

Output all information such as shutter, Temperature etc. as human readable output.

Usage:

#include <vigra/sifImport.hxx>
Namespace: vigra

            SIFImportInfo info(filename);
            std::cout << info << std::endl; // print infos to the console

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)